unit LedDisplay;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TMyColor = TColor;
  TShow = (Numbers,Segments);
  TNumber = Integer;
  TAbout = String;
  TPravda = Boolean;
   TLedDisplay = class(TGraphicControl)
  private
    TSHodnota : Byte;
    NumberHodnota: Byte;
    fAboutStr: String;
    fShadowColor: TMyColor;
    fHighLightColor: TMyColor;
    fBackgroundColor: TMyColor;
    SegmentHodnota1 : Boolean;
    SegmentHodnota2 : Boolean;
    SegmentHodnota3 : Boolean;
    SegmentHodnota4 : Boolean;
    SegmentHodnota5 : Boolean;
    SegmentHodnota6 : Boolean;
    SegmentHodnota7 : Boolean;
  protected
    Procedure Paint; Override;
    function GetSegment1:TPravda;
    Procedure SetSegment1(Pravda1:TPravda);
    function GetSegment2:TPravda;
    Procedure SetSegment2(Pravda2:TPravda);
    function GetSegment3:TPravda;
    Procedure SetSegment3(Pravda3:TPravda);
    function GetSegment4:TPravda;
    Procedure SetSegment4(Pravda4:TPravda);
    function GetSegment5:TPravda;
    Procedure SetSegment5(Pravda5:TPravda);
    function GetSegment6:TPravda;
    Procedure SetSegment6(Pravda6:TPravda);
    function GetSegment7:TPravda;
    Procedure SetSegment7(Pravda7:TPravda);
    function GetNumber:TNumber;
    Procedure SetNumber(Number:TNumber);
    Procedure SetAbout(About:string);
    function GetShow: TShow;
    procedure SetShow (Show: TShow);
    procedure SetBackgroundColor(const ValueBCKGC: TMyColor);
    procedure SetHighLightColor(const ValueHLC: TMyColor);
    procedure SetShadowColor(const ValueSC: TMyColor);
  public
    constructor Create(AOwner: TComponent); override;
  published
  //Properties
    property HighLightColor: TMyColor read fHighLightColor write SetHighLightColor;
    property ShadowColor: TMyColor read fShadowColor write SetShadowColor;
    property BackgroundColor: TMyColor read fBackgroundColor write SetBackgroundColor;
    property ToShow: TShow read GetShow write SetShow default Numbers;
    property Segment1: TPravda read GetSegment1 write SetSegment1 default false;
    property Segment2: TPravda read GetSegment2 write SetSegment2 default false;
    property Segment3: TPravda read GetSegment3 write SetSegment3 default false;
    property Segment4: TPravda read GetSegment4 write SetSegment4 default false;
    property Segment5: TPravda read GetSegment5 write SetSegment5 default false;
    property Segment6: TPravda read GetSegment6 write SetSegment6 default false;
    property Segment7: TPravda read GetSegment7 write SetSegment7 default false;
    property Width default 20;
    property Height default 31;
    Property About: TAbout read fAboutStr write SetAbout;
    Property Number: TNumber read GetNumber write SetNumber default 0;
    property ShowHint;
    property Visible;
  //Events
    property OnClick;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDrag;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
    property OnStartDrag;
end;

procedure Register;

implementation

constructor TLedDisplay.Create(AOwner: TComponent);
begin
 inherited Create(AOwner);
 Width := 21;
 Height:=31;
 HighLightColor:=clLime;
 ShadowColor:=clGreen;
end;

procedure TLedDisplay.SetBackgroundColor(const ValueBCKGC: TMyColor);
begin
  if fBackgroundColor <> ValueBCKGC then
  begin
    fBackgroundColor := ValueBCKGC;
    Invalidate;
  end;
end;

procedure TLedDisplay.SetHighLightColor(const ValueHLC: TMyColor);
begin
  if fHighLightColor <> ValueHLC then
  begin
    fHighLightColor := ValueHLC;
    Invalidate;
  end;
end;

procedure TLedDisplay.SetShadowColor(const ValueSC: TMyColor);
begin
  if fShadowColor <> ValueSC then
  begin
    fShadowColor := ValueSC;
    Invalidate;
  end;
end;

function TLedDisplay.GetShow: TShow;
begin
 Result := TShow(TSHodnota);
end;

procedure TLedDisplay.SetShow(Show: TShow);
begin
Case Show of
 Numbers: TSHodnota := 0;
 Segments: TSHodnota := 1;
end;
 Invalidate;
end;

Procedure TLedDisplay.SetAbout(About: TAbout);
 begin
  if fAboutStr <> About then
   begin
    About := 'Coded by IT [Http://www.masla.sk/~it] [ivomai@post.sk]';
    Repaint; //Hore uvedeny text prosim nemenit - trapte sa s tym 12 hodin - spravte par vylepseni a uvidime
   end;
  end;

function TLedDisplay.GetSegment1:TPravda;
 begin
  Result:=SegmentHodnota1;
 end;

Procedure TLedDisplay.SetSegment1(Pravda1:TPravda);
 begin
  SegmentHodnota1:=Pravda1;
  Invalidate;
 end;

function TLedDisplay.GetSegment2:TPravda;
 begin
  Result:=SegmentHodnota2;
 end;

Procedure TLedDisplay.SetSegment2(Pravda2:TPravda);
 begin
  SegmentHodnota2:=Pravda2;
  Invalidate;
 end;

function TLedDisplay.GetSegment3:TPravda;
 begin
  Result:=SegmentHodnota3;
 end;

Procedure TLedDisplay.SetSegment3(Pravda3:TPravda);
 begin
  SegmentHodnota3:=Pravda3;
  Invalidate;
 end;

function TLedDisplay.GetSegment4:TPravda;
 begin
  Result:=SegmentHodnota4;
 end;

Procedure TLedDisplay.SetSegment4(Pravda4:TPravda);
 begin
  SegmentHodnota4:=Pravda4;
  Invalidate;
 end;

function TLedDisplay.GetSegment5:TPravda;
 begin
  Result:=SegmentHodnota5;
 end;

Procedure TLedDisplay.SetSegment5(Pravda5:TPravda);
 begin
  SegmentHodnota5:=Pravda5;
  Invalidate;
 end;

function TLedDisplay.GetSegment6:TPravda;
 begin
  Result:=SegmentHodnota6;
 end;

Procedure TLedDisplay.SetSegment6(Pravda6:TPravda);
 begin
  SegmentHodnota6:=Pravda6;
  Invalidate;
 end;

function TLedDisplay.GetSegment7:TPravda;
 begin
  Result:=SegmentHodnota7;
 end;

Procedure TLedDisplay.SetSegment7(Pravda7:TPravda);
 begin
  SegmentHodnota7:=Pravda7;
  Invalidate;
 end;

function TLedDisplay.GetNumber:TNumber;
 begin
  Result := TNumber(NumberHodnota);
 end;

Procedure TLedDisplay.SetNumber(Number:TNumber);
 begin
   Case Number of
   0:  NumberHodnota := 0;
   1:  NumberHodnota := 1;
   2:  NumberHodnota := 2;
   3:  NumberHodnota := 3;
   4:  NumberHodnota := 4;
   5:  NumberHodnota := 5;
   6:  NumberHodnota := 6;
   7:  NumberHodnota := 7;
   8:  NumberHodnota := 8;
   9:  NumberHodnota := 9;
   end;
  If Number >9 then
   Begin
    MessageDLG('Neprpustn hodnota!  slo mus by od 0 do 9!',
                 mtError,[mbOK],0);
    exit;
   end
  else
   Begin
    Invalidate;
   end
 end;

procedure TLedDisplay.Paint;
Begin
fAboutStr:='Coded by IT [Http://www.masla.sk/~it] [ivomai@post.sk]';//Tento text prosim nemenit - trapte sa s tym 12 hodin - spravte par vylepseni a uvidime
Canvas.Pen.Width := 1;
Canvas.Pen.Color := clWhite;
Canvas.Brush.Color := clWhite;
Canvas.Rectangle(0,0,Width,Height);
Canvas.Pen.Color := clGray;
Canvas.Brush.Color := clGray;
Canvas.Rectangle(1,1,Width,Height);
Canvas.Pen.Color := clSilver;
Canvas.Brush.Color:= clSilver;
Canvas.Rectangle(1,1,Width - 1,Height - 1);
Canvas.Pen.Color := clWhite;
Canvas.Brush.color := clWhite;
Canvas.Rectangle(2,2,Width - 2,Height - 2);
Canvas.Pen.Color := clGray;
Canvas.Brush.Color := clGray;
Canvas.Rectangle(2,2,Width - 3,Height - 3);
Canvas.Pen.COlor := BackgroundColor;
Canvas.Brush.Color := BackgroundColor;
Canvas.Rectangle(3,3,Width - 3, Height - 3);
Canvas.pen.Color := ShadowColor;
 // Vertiklna Horn
 Canvas.MoveTo(7,4);
 Canvas.LineTo(Width - 7, 4);
 Canvas.MoveTo(6,5);
 Canvas.LineTo(Width - 6, 5);
 Canvas.MoveTo(7,6);
 Canvas.LineTo(Width - 7, 6);
 // Vertiklna Stredn
 Canvas.MoveTo(7,(Height div 2)-1);
 Canvas.LineTo(Width - 7, (Height div 2)-1);
 Canvas.MoveTo(6,(Height div 2));
 Canvas.LineTo(Width - 6, Height div 2);
 Canvas.MoveTo(7,(Height div 2) +1);
 Canvas.LineTo(Width - 7, (Height div 2) +1);
 // Vertiklna Doln
 Canvas.MoveTo(7,Height-7);
 Canvas.LineTo(Width - 7, Height - 7);
 Canvas.MoveTo(6,Height-6);
 Canvas.LineTo(Width - 6, Height - 6);
 Canvas.MoveTo(7,Height-5);
 Canvas.LineTo(Width - 7, Height - 5);
 // Horizontlna Horn av
 Canvas.MoveTo(4,7);
 Canvas.LineTo(4, (Height div 2) - 1);
 Canvas.MoveTo(5,6);
 Canvas.LineTo(5, (Height div 2) - 0);
 Canvas.MoveTo(6,7);
 Canvas.LineTo(6, (Height div 2) - 1);
 // Horizontlna Horn Prav
 Canvas.MoveTo(Width - 7,7);
 Canvas.LineTo(Width - 7, (Height div 2) -1);
 Canvas.MoveTo(Width - 6,6);
 Canvas.LineTo(Width - 6, (Height div 2) -0);
 Canvas.MoveTo(Width - 5,7);
 Canvas.LineTo(Width - 5, (Height div 2) -1);
 // Horizontlna Doln av
 Canvas.MoveTo(4,Height -8);
 Canvas.LineTo(4, (Height div 2)+1);
 Canvas.MoveTo(5,Height -7);
 Canvas.LineTo(5, (Height div 2)+0);
 Canvas.MoveTo(6,Height -8);
 Canvas.LineTo(6, (Height div 2)+1);
 // Horizontlna Doln Prav
 Canvas.MoveTo(Width-7,Height -8);
 Canvas.LineTo(Width - 7, (Height div 2)+1);
 Canvas.MoveTo(Width-6,Height-7);
 Canvas.LineTo(Width - 6, (Height div 2)+0);
 Canvas.MoveTo(Width-5,Height-8);
 Canvas.LineTo(Width - 5, (Height div 2)+1);
IF (TSHodnota = 0) and (NumberHodnota < 12) then begin
  Canvas.Pen.Color := HighLightColor;
  Case NumberHodnota of
  0:  Begin
      // Vertiklna Horn
      Canvas.MoveTo(7,4); //
      Canvas.LineTo(Width - 7, 4);
      Canvas.MoveTo(6,5);
      Canvas.LineTo(Width - 6, 5);
      Canvas.MoveTo(7,6);
      Canvas.LineTo(Width - 7, 6);
      // Vertiklna Doln
      Canvas.MoveTo(7,Height-7);
      Canvas.LineTo(Width - 7, Height - 7);
      Canvas.MoveTo(6,Height-6);
      Canvas.LineTo(Width - 6, Height - 6);
      Canvas.MoveTo(7,Height-5);
      Canvas.LineTo(Width - 7, Height - 5);
      // Horizontlna Horn av
      Canvas.MoveTo(4,7);
      Canvas.LineTo(4, (Height div 2) - 1);
      Canvas.MoveTo(5,6);
      Canvas.LineTo(5, (Height div 2) - 0);
      Canvas.MoveTo(6,7);
      Canvas.LineTo(6, (Height div 2) - 1);
      // Horizontlna Horn Prav
      Canvas.MoveTo(Width - 7,7);
      Canvas.LineTo(Width - 7, (Height div 2) -1);
      Canvas.MoveTo(Width - 6,6);
      Canvas.LineTo(Width - 6, (Height div 2) -0);
      Canvas.MoveTo(Width - 5,7);
      Canvas.LineTo(Width - 5, (Height div 2) -1);
      // Horizontlna Doln av
      Canvas.MoveTo(4,Height -8);
      Canvas.LineTo(4, (Height div 2)+1);
      Canvas.MoveTo(5,Height -7);
      Canvas.LineTo(5, (Height div 2)+0);
      Canvas.MoveTo(6,Height -8);
      Canvas.LineTo(6, (Height div 2)+1);
      // Horizontlna Doln Prav
      Canvas.MoveTo(Width-7,Height -8);
      Canvas.LineTo(Width - 7, (Height div 2)+1);
      Canvas.MoveTo(Width-6,Height-7);
      Canvas.LineTo(Width - 6, (Height div 2)+0);
      Canvas.MoveTo(Width-5,Height-8);
      Canvas.LineTo(Width - 5, (Height div 2)+1);
      end;

  1:    begin
        // Horizontlna Horn Prav
        Canvas.MoveTo(Width - 7,7);
        Canvas.LineTo(Width - 7, (Height div 2) -1);
        Canvas.MoveTo(Width - 6,6);
        Canvas.LineTo(Width - 6, (Height div 2) -0);
        Canvas.MoveTo(Width - 5,7);
        Canvas.LineTo(Width - 5, (Height div 2) -1);
        // Horizontlna Doln Prav
        Canvas.MoveTo(Width-7,Height -8);
        Canvas.LineTo(Width - 7, (Height div 2)+1);
        Canvas.MoveTo(Width-6,Height-7);
        Canvas.LineTo(Width - 6, (Height div 2)+0);
        Canvas.MoveTo(Width-5,Height-8);
        Canvas.LineTo(Width - 5, (Height div 2)+1);
        end;

  2:      begin
          // Vertiklna Horn
          Canvas.MoveTo(7,4);
          Canvas.LineTo(Width - 7, 4);
          Canvas.MoveTo(6,5);
          Canvas.LineTo(Width - 6, 5);
          Canvas.MoveTo(7,6);
          Canvas.LineTo(Width - 7, 6);
          // Vertiklna Stredn
          Canvas.MoveTo(7,(Height div 2)-1);
          Canvas.LineTo(Width - 7, (Height div 2)-1);
          Canvas.MoveTo(6,(Height div 2));
          Canvas.LineTo(Width - 6, Height div 2);
          Canvas.MoveTo(7,(Height div 2) +1);
          Canvas.LineTo(Width - 7, (Height div 2) +1);
          // Vertiklna Doln
          Canvas.MoveTo(7,Height-7);
          Canvas.LineTo(Width - 7, Height - 7);
          Canvas.MoveTo(6,Height-6);
          Canvas.LineTo(Width - 6, Height - 6);
          Canvas.MoveTo(7,Height-5);
          Canvas.LineTo(Width - 7, Height - 5);
          // Horizontlna Horn Prav
          Canvas.MoveTo(Width - 7,7);
          Canvas.LineTo(Width - 7, (Height div 2) -1);
          Canvas.MoveTo(Width - 6,6);
          Canvas.LineTo(Width - 6, (Height div 2) -0);
          Canvas.MoveTo(Width - 5,7);
          Canvas.LineTo(Width - 5, (Height div 2) -1);
          // Horizontlna Doln av
          Canvas.MoveTo(4,Height -8);
          Canvas.LineTo(4, (Height div 2)+1);
          Canvas.MoveTo(5,Height -7);
          Canvas.LineTo(5, (Height div 2)+0);
          Canvas.MoveTo(6,Height -8);
          Canvas.LineTo(6, (Height div 2)+1);
          end;

  3:        Begin
            // Horizontlna Horn Prav
            Canvas.MoveTo(Width - 7,7);
            Canvas.LineTo(Width - 7, (Height div 2) -1);
            Canvas.MoveTo(Width - 6,6);
            Canvas.LineTo(Width - 6, (Height div 2) -0);
            Canvas.MoveTo(Width - 5,7);
            Canvas.LineTo(Width - 5, (Height div 2) -1);
            // Horizontlna Doln Prav
            Canvas.MoveTo(Width-7,Height -8);
            Canvas.LineTo(Width - 7, (Height div 2)+1);
            Canvas.MoveTo(Width-6,Height-7);
            Canvas.LineTo(Width - 6, (Height div 2)+0);
            Canvas.MoveTo(Width-5,Height-8);
            Canvas.LineTo(Width - 5, (Height div 2)+1);
            // Vertiklna Horn
            Canvas.MoveTo(7,4);
            Canvas.LineTo(Width - 7, 4);
            Canvas.MoveTo(6,5);
            Canvas.LineTo(Width - 6, 5);
            Canvas.MoveTo(7,6);
            Canvas.LineTo(Width - 7, 6);
            // Vertiklna Stredn
            Canvas.MoveTo(7,(Height div 2)-1);
            Canvas.LineTo(Width - 7, (Height div 2)-1);
            Canvas.MoveTo(6,(Height div 2));
            Canvas.LineTo(Width - 6, Height div 2);
            Canvas.MoveTo(7,(Height div 2) +1);
            Canvas.LineTo(Width - 7, (Height div 2) +1);
            // Vertiklna Doln
            Canvas.MoveTo(7,Height-7);
            Canvas.LineTo(Width - 7, Height - 7);
            Canvas.MoveTo(6,Height-6);
            Canvas.LineTo(Width - 6, Height - 6);
            Canvas.MoveTo(7,Height-5);
            Canvas.LineTo(Width - 7, Height - 5);
            end;

  4:          Begin
              // Horizontlna Horn Prav
              Canvas.MoveTo(Width - 7,7);
              Canvas.LineTo(Width - 7, (Height div 2) -1);
              Canvas.MoveTo(Width - 6,6);
              Canvas.LineTo(Width - 6, (Height div 2) -0);
              Canvas.MoveTo(Width - 5,7);
              Canvas.LineTo(Width - 5, (Height div 2) -1);
              // Horizontlna Doln Prav
              Canvas.MoveTo(Width-7,Height -8);
              Canvas.LineTo(Width - 7, (Height div 2)+1);
              Canvas.MoveTo(Width-6,Height-7);
              Canvas.LineTo(Width - 6, (Height div 2)+0);
              Canvas.MoveTo(Width-5,Height-8);
              Canvas.LineTo(Width - 5, (Height div 2)+1);
              // Vertiklna Stredn
              Canvas.MoveTo(7,(Height div 2)-1);
              Canvas.LineTo(Width - 7, (Height div 2)-1);
              Canvas.MoveTo(6,(Height div 2));
              Canvas.LineTo(Width - 6, Height div 2);
              Canvas.MoveTo(7,(Height div 2) +1);
              Canvas.LineTo(Width - 7, (Height div 2) +1);
              // Horizontlna Horn av
              Canvas.MoveTo(4,7);
              Canvas.LineTo(4, (Height div 2) - 1);
              Canvas.MoveTo(5,6);
              Canvas.LineTo(5, (Height div 2) - 0);
              Canvas.MoveTo(6,7);
              Canvas.LineTo(6, (Height div 2) - 1);
              end;

  5:          Begin
              // Horizontlna Horn av
              Canvas.MoveTo(4,7);
              Canvas.LineTo(4, (Height div 2) - 1);
              Canvas.MoveTo(5,6);
              Canvas.LineTo(5, (Height div 2) - 0);
              Canvas.MoveTo(6,7);
              Canvas.LineTo(6, (Height div 2) - 1);
              // Vertiklna Horn
              Canvas.MoveTo(7,4);
              Canvas.LineTo(Width - 7, 4);
              Canvas.MoveTo(6,5);
              Canvas.LineTo(Width - 6, 5);
              Canvas.MoveTo(7,6);
              Canvas.LineTo(Width - 7, 6);
              // Vertiklna Stredn
              Canvas.MoveTo(7,(Height div 2)-1);
              Canvas.LineTo(Width - 7, (Height div 2)-1);
              Canvas.MoveTo(6,(Height div 2));
              Canvas.LineTo(Width - 6, Height div 2);
              Canvas.MoveTo(7,(Height div 2) +1);
              Canvas.LineTo(Width - 7, (Height div 2) +1);
              // Vertiklna Doln
              Canvas.MoveTo(7,Height-7);
              Canvas.LineTo(Width - 7, Height - 7);
              Canvas.MoveTo(6,Height-6);
              Canvas.LineTo(Width - 6, Height - 6);
              Canvas.MoveTo(7,Height-5);
              Canvas.LineTo(Width - 7, Height - 5);
              // Horizontlna Doln Prav
              Canvas.MoveTo(Width-7,Height -8);
              Canvas.LineTo(Width - 7, (Height div 2)+1);
              Canvas.MoveTo(Width-6,Height-7);
              Canvas.LineTo(Width - 6, (Height div 2)+0);
              Canvas.MoveTo(Width-5,Height-8);
              Canvas.LineTo(Width - 5, (Height div 2)+1);
              end;

  6:            Begin
                // Horizontlna Horn av
                Canvas.MoveTo(4,7);
                Canvas.LineTo(4, (Height div 2) - 1);
                Canvas.MoveTo(5,6);
                Canvas.LineTo(5, (Height div 2) - 0);
                Canvas.MoveTo(6,7);
                Canvas.LineTo(6, (Height div 2) - 1);
                // Vertiklna Horn
                Canvas.MoveTo(7,4);
                Canvas.LineTo(Width - 7, 4);
                Canvas.MoveTo(6,5);
                Canvas.LineTo(Width - 6, 5);
                Canvas.MoveTo(7,6);
                Canvas.LineTo(Width - 7, 6);
                // Vertiklna Stredn
                Canvas.MoveTo(7,(Height div 2)-1);
                Canvas.LineTo(Width - 7, (Height div 2)-1);
                Canvas.MoveTo(6,(Height div 2));
                Canvas.LineTo(Width - 6, Height div 2);
                Canvas.MoveTo(7,(Height div 2) +1);
                Canvas.LineTo(Width - 7, (Height div 2) +1);
                // Vertiklna Doln
                Canvas.MoveTo(7,Height-7);
                Canvas.LineTo(Width - 7, Height - 7);
                Canvas.MoveTo(6,Height-6);
                Canvas.LineTo(Width - 6, Height - 6);
                Canvas.MoveTo(7,Height-5);
                Canvas.LineTo(Width - 7, Height - 5);
                // Horizontlna Doln Prav
                Canvas.MoveTo(Width-7,Height -8);
                Canvas.LineTo(Width - 7, (Height div 2)+1);
                Canvas.MoveTo(Width-6,Height-7);
                Canvas.LineTo(Width - 6, (Height div 2)+0);
                Canvas.MoveTo(Width-5,Height-8);
                Canvas.LineTo(Width - 5, (Height div 2)+1);
                // Horizontlna Doln av
                Canvas.MoveTo(4,Height -8);
                Canvas.LineTo(4, (Height div 2)+1);
                Canvas.MoveTo(5,Height -7);
                Canvas.LineTo(5, (Height div 2)+0);
                Canvas.MoveTo(6,Height -8);
                Canvas.LineTo(6, (Height div 2)+1);
                end;

  7:              Begin
                  Canvas.MoveTo(Width - 7,7);
                  Canvas.LineTo(Width - 7, (Height div 2) -1);
                  Canvas.MoveTo(Width - 6,6);
                  Canvas.LineTo(Width - 6, (Height div 2) -0);
                  Canvas.MoveTo(Width - 5,7);
                  Canvas.LineTo(Width - 5, (Height div 2) -1);
                  // Horizontlna Doln Prav
                  Canvas.MoveTo(Width-7,Height -8);
                  Canvas.LineTo(Width - 7, (Height div 2)+1);
                  Canvas.MoveTo(Width-6,Height-7);
                  Canvas.LineTo(Width - 6, (Height div 2)+0);
                  Canvas.MoveTo(Width-5,Height-8);
                  Canvas.LineTo(Width - 5, (Height div 2)+1);
                  // Vertiklna Horn
                  Canvas.MoveTo(7,4);
                  Canvas.LineTo(Width - 7, 4);
                  Canvas.MoveTo(6,5);
                  Canvas.LineTo(Width - 6, 5);
                  Canvas.MoveTo(7,6);
                  Canvas.LineTo(Width - 7, 6);
                  end;

  8:                Begin
                    // Vertiklna Horn
                    Canvas.MoveTo(7,4);
                    Canvas.LineTo(Width - 7, 4);
                    Canvas.MoveTo(6,5);
                    Canvas.LineTo(Width - 6, 5);
                    Canvas.MoveTo(7,6);
                    Canvas.LineTo(Width - 7, 6);
                    // Vertiklna Stredn
                    Canvas.MoveTo(7,(Height div 2)-1);
                    Canvas.LineTo(Width - 7, (Height div 2)-1);
                    Canvas.MoveTo(6,(Height div 2));
                    Canvas.LineTo(Width - 6, Height div 2);
                    Canvas.MoveTo(7,(Height div 2) +1);
                    Canvas.LineTo(Width - 7, (Height div 2) +1);
                    // Vertiklna Doln
                    Canvas.MoveTo(7,Height-7);
                    Canvas.LineTo(Width - 7, Height - 7);
                    Canvas.MoveTo(6,Height-6);
                    Canvas.LineTo(Width - 6, Height - 6);
                    Canvas.MoveTo(7,Height-5);
                    Canvas.LineTo(Width - 7, Height - 5);
                    // Horizontlna Horn av
                    Canvas.MoveTo(4,7);
                    Canvas.LineTo(4, (Height div 2) - 1);
                    Canvas.MoveTo(5,6);
                    Canvas.LineTo(5, (Height div 2) - 0);
                    Canvas.MoveTo(6,7);
                    Canvas.LineTo(6, (Height div 2) - 1);
                    // Horizontlna Horn Prav
                    Canvas.MoveTo(Width - 7,7);
                    Canvas.LineTo(Width - 7, (Height div 2) -1);
                    Canvas.MoveTo(Width - 6,6);
                    Canvas.LineTo(Width - 6, (Height div 2) -0);
                    Canvas.MoveTo(Width - 5,7);
                    Canvas.LineTo(Width - 5, (Height div 2) -1);
                    // Horizontlna Doln av
                    Canvas.MoveTo(4,Height -8);
                    Canvas.LineTo(4, (Height div 2)+1);
                    Canvas.MoveTo(5,Height -7);
                    Canvas.LineTo(5, (Height div 2)+0);
                    Canvas.MoveTo(6,Height -8);
                    Canvas.LineTo(6, (Height div 2)+1);
                    // Horizontlna Doln Prav
                    Canvas.MoveTo(Width-7,Height -8);
                    Canvas.LineTo(Width - 7, (Height div 2)+1);
                    Canvas.MoveTo(Width-6,Height-7);
                    Canvas.LineTo(Width - 6, (Height div 2)+0);
                    Canvas.MoveTo(Width-5,Height-8);
                    Canvas.LineTo(Width - 5, (Height div 2)+1);
                    end;

  9:                  Begin
                      // Vertiklna Horn
                      Canvas.MoveTo(7,4);
                      Canvas.LineTo(Width - 7, 4);
                      Canvas.MoveTo(6,5);
                      Canvas.LineTo(Width - 6, 5);
                      Canvas.MoveTo(7,6);
                      Canvas.LineTo(Width - 7, 6);
                      // Vertiklna Stredn
                      Canvas.MoveTo(7,(Height div 2)-1);
                      Canvas.LineTo(Width - 7, (Height div 2)-1);
                      Canvas.MoveTo(6,(Height div 2));
                      Canvas.LineTo(Width - 6, Height div 2);
                      Canvas.MoveTo(7,(Height div 2) +1);
                      Canvas.LineTo(Width - 7, (Height div 2) +1);
                      // Vertiklna Doln
                      Canvas.MoveTo(7,Height-7);
                      Canvas.LineTo(Width - 7, Height - 7);
                      Canvas.MoveTo(6,Height-6);
                      Canvas.LineTo(Width - 6, Height - 6);
                      Canvas.MoveTo(7,Height-5);
                      Canvas.LineTo(Width - 7, Height - 5);
                      // Horizontlna Horn av
                      Canvas.MoveTo(4,7);
                      Canvas.LineTo(4, (Height div 2) - 1);
                      Canvas.MoveTo(5,6);
                      Canvas.LineTo(5, (Height div 2) - 0);
                      Canvas.MoveTo(6,7);
                      Canvas.LineTo(6, (Height div 2) - 1);
                      // Horizontlna Horn Prav
                      Canvas.MoveTo(Width - 7,7);
                      Canvas.LineTo(Width - 7, (Height div 2) -1);
                      Canvas.MoveTo(Width - 6,6);
                      Canvas.LineTo(Width - 6, (Height div 2) -0);
                      Canvas.MoveTo(Width - 5,7);
                      Canvas.LineTo(Width - 5, (Height div 2) -1);
                      // Horizontlna Doln Prav
                      Canvas.MoveTo(Width-7,Height -8);
                      Canvas.LineTo(Width - 7, (Height div 2)+1);
                      Canvas.MoveTo(Width-6,Height-7);
                      Canvas.LineTo(Width - 6, (Height div 2)+0);
                      Canvas.MoveTo(Width-5,Height-8);
                      Canvas.LineTo(Width - 5, (Height div 2)+1);
                      end;

      end;   // end Case
   end; // end if
IF TSHodnota = 1 then
 begin
 Canvas.Pen.Color := HighLightColor;
 if SegmentHodnota1=true then
  begin
// Horizontlna Horn av
              Canvas.MoveTo(4,7);
              Canvas.LineTo(4, (Height div 2) - 1);
              Canvas.MoveTo(5,6);
              Canvas.LineTo(5, (Height div 2) - 0);
              Canvas.MoveTo(6,7);
              Canvas.LineTo(6, (Height div 2) - 1);
  end;
 if SegmentHodnota2=true then
  begin
// Horizontlna Doln av
                    Canvas.MoveTo(4,Height -8);
                    Canvas.LineTo(4, (Height div 2)+1);
                    Canvas.MoveTo(5,Height -7);
                    Canvas.LineTo(5, (Height div 2)+0);
                    Canvas.MoveTo(6,Height -8);
                    Canvas.LineTo(6, (Height div 2)+1);
  end;
  if SegmentHodnota3=true then
  begin
// Vertiklna Horn
          Canvas.MoveTo(7,4);
          Canvas.LineTo(Width - 7, 4);
          Canvas.MoveTo(6,5);
          Canvas.LineTo(Width - 6, 5);
          Canvas.MoveTo(7,6);
          Canvas.LineTo(Width - 7, 6);
  end;
  if SegmentHodnota4=true then
  begin
// Horizontlna Horn Prav
              Canvas.MoveTo(Width - 7,7);
              Canvas.LineTo(Width - 7, (Height div 2) -1);
              Canvas.MoveTo(Width - 6,6);
              Canvas.LineTo(Width - 6, (Height div 2) -0);
              Canvas.MoveTo(Width - 5,7);
              Canvas.LineTo(Width - 5, (Height div 2) -1);
  end;
  if SegmentHodnota5=true then
  begin
// Horizontlna Doln Prav
                      Canvas.MoveTo(Width-7,Height -8);
                      Canvas.LineTo(Width - 7, (Height div 2)+1);
                      Canvas.MoveTo(Width-6,Height-7);
                      Canvas.LineTo(Width - 6, (Height div 2)+0);
                      Canvas.MoveTo(Width-5,Height-8);
                      Canvas.LineTo(Width - 5, (Height div 2)+1);
  end;
  if SegmentHodnota6=true then
  begin
// Vertiklna Stredn
                      Canvas.MoveTo(7,(Height div 2)-1);
                      Canvas.LineTo(Width - 7, (Height div 2)-1);
                      Canvas.MoveTo(6,(Height div 2));
                      Canvas.LineTo(Width - 6, Height div 2);
                      Canvas.MoveTo(7,(Height div 2) +1);
                      Canvas.LineTo(Width - 7, (Height div 2) +1);
  end;
  if SegmentHodnota7=true then
  begin
// Vertiklna Doln
                    Canvas.MoveTo(7,Height-7);
                    Canvas.LineTo(Width - 7, Height - 7);
                    Canvas.MoveTo(6,Height-6);
                    Canvas.LineTo(Width - 6, Height - 6);
                    Canvas.MoveTo(7,Height-5);
                    Canvas.LineTo(Width - 7, Height - 5);
  end;
 end;
end;

  procedure Register;
begin
  RegisterComponents('Coded by IT', [TLedDisplay]);
end;

end.
